diff mbox series

[6/7] configure: Check mkdir result directly, not via $?

Message ID 20220825150703.4074125-7-peter.maydell@linaro.org
State Superseded
Headers show
Series configure: fix misc shellcheck warnings | expand

Commit Message

Peter Maydell Aug. 25, 2022, 3:07 p.m. UTC
Shellcheck warns that we have one place where we run a command and
then check if it failed using $?; this is better written to simply
check the command in the 'if' statement directly.

Signed-off-by: Peter Maydell <peter.maydell@linaro.org>
---
 configure | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

Comments

Philippe Mathieu-Daudé Aug. 30, 2022, 12:15 p.m. UTC | #1
On 25/8/22 17:07, Peter Maydell wrote:
> Shellcheck warns that we have one place where we run a command and
> then check if it failed using $?; this is better written to simply
> check the command in the 'if' statement directly.

It is also safer, in case someone add another command between the
two lines.

> Signed-off-by: Peter Maydell <peter.maydell@linaro.org>
> ---
>   configure | 3 +--
>   1 file changed, 1 insertion(+), 2 deletions(-)
> 
> diff --git a/configure b/configure
> index 5c1992d5bce..f8d7270a60e 100755
> --- a/configure
> +++ b/configure
> @@ -67,8 +67,7 @@ fi
>   # it when configure exits.)
>   TMPDIR1="config-temp"
>   rm -rf "${TMPDIR1}"
> -mkdir -p "${TMPDIR1}"
> -if [ $? -ne 0 ]; then
> +if ! mkdir -p "${TMPDIR1}"; then
>       echo "ERROR: failed to create temporary directory"
>       exit 1
>   fi

Reviewed-by: Philippe Mathieu-Daudé <f4bug@amsat.org>
diff mbox series

Patch

diff --git a/configure b/configure
index 5c1992d5bce..f8d7270a60e 100755
--- a/configure
+++ b/configure
@@ -67,8 +67,7 @@  fi
 # it when configure exits.)
 TMPDIR1="config-temp"
 rm -rf "${TMPDIR1}"
-mkdir -p "${TMPDIR1}"
-if [ $? -ne 0 ]; then
+if ! mkdir -p "${TMPDIR1}"; then
     echo "ERROR: failed to create temporary directory"
     exit 1
 fi